Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.jta
Class JtaDbPersistenceService

    java.lang.Object
      org.jbpm.persistence.db.DbPersistenceService
          org.jbpm.persistence.jta.JtaDbPersistenceService

All Implemented Interfaces:
  java.io.Serializable, PersistenceService, Service

    public class JtaDbPersistenceService

extends DbPersistenceService

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.persistence.db.DbPersistenceService
`connection, contextSession, graphSession, isCurrentSessionEnabled, isTransactionEnabled, jobSession, loggingSession, mustConnectionBeClosed, mustSessionBeClosed, mustSessionBeFlushed, persistenceServiceFactory, services, session, taskMgmtSession, transaction`

Constructor Summary
`JtaDbPersistenceService(DbPersistenceServiceFactory persistenceServiceFactory)`

Method Summary
`void` | `close()`
`boolean` | `isJtaTxCreated()`
`void` | `setJtaTxCreated(boolean isJtaTxCreated)`

Methods inherited from class org.jbpm.persistence.db.DbPersistenceService
`assignId, beginTransaction, endTransaction, getConnection, getConnection, getContextSession, getDataSource, getGraphSession, getJobSession, getLoggingSession, getSession, getSessionFactory, getTaskMgmtSession, getTransaction, isRollbackOnly, isTransactionEnabled, setConnection, setContextSession, setDataSource, setGraphSession, setJobSession, setLoggingSession, setRollbackOnly, setRollbackOnly, setSession, setSessionFactory, setSessionWithoutDisablingTx, setTaskMgmtSession, setTransaction, setTransactionEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JtaDbPersistenceService

    public JtaDbPersistenceService(DbPersistenceServiceFactory persistenceServiceFactory)

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `Service`
  Overrides:
    `close` in class `DbPersistenceService`

### isJtaTxCreated

    public boolean isJtaTxCreated()

### setJtaTxCreated

    public void setJtaTxCreated(boolean isJtaTxCreated)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD